# CyanogenMod profile

A decision block that checks the active CyanogenMod profile.

If the proceed option is set to Immediately, then check the currently active profile, without pausing the fiber. If set to When changed, then the fiber will pause until the active profile has changed to, or not to profile UUID.

If no profile UUID is set, then the active profile are just assigned to the active profile UUID and active profile name variable without a check.

Note! This feature requires CyanogenMod, may not work on all devices.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Profile UUID — UUID of profile to check for.

## Output variables

- Active profile UUID — variable to assign the UUID of the currently active profile.
- Active profile name — variable to assign the name of the currently active profile.